NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.BridgeCurveBuilder Class Reference

Represents a NXOpen.Features.BridgeCurve builder More...

Inheritance diagram for NXOpen.Features.BridgeCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ConstraintTypes { G0, G1, G2, G3 }
 This enum represents the end continuity constraint types for the bridge curve More...
 
enum  CurveDirectionTypes { Tangent, Perpendicular }
 This enum represents the direction type for input curves More...
 
enum  CurveFitTypes { Cubic, Quintic, Advanced }
 This enum represents the curve fit types for the bridge curve More...
 
enum  EndObjectTypes { Object, Vector }
 This enum represents the current selected end object types for the bridge curve More...
 
enum  MinRadiusTypes { None, Minimum, Peak }
 This enum represents the minimum radius types for the bridge curve More...
 
enum  SelectedObject { One, Two }
 This enum represents the current selected object for the bridge curve More...
 
enum  ShapeControlTypes { EndPoint, PeakPoint, Conic, ShapeCurve }
 This enum represents the shape control types for the bridge curve More...
 
enum  SurfaceDirectionTypes { Sectional, IsoU, IsoV }
 This enum represents the direction type for input surfaces More...
 

Properties

unsafe NXOpen.ScCollector ConstraintFaces [get]
 Returns the constraint faces More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitData 
CurveFitData [get]
 Returns the curve fitting parameters More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.CurveFitTypes 
CurveFitOption [get, set]
 Returns or sets the curve fit option More...
 
unsafe NXOpen.Expression Depth [get]
 Returns the depth value for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.PeakPoint More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.ConstraintTypes 
EndContinuityOption [get, set]
 Returns or sets the end continuity option More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.CurveDirectionTypes 
EndCurveDirectionOption [get, set]
 Returns or sets the end curve direction option More...
 
unsafe NXOpen.Expression EndDirectionAngle [get]
 Returns the end direction angle More...
 
unsafe NXOpen.SelectObject EndObject [get]
 Returns the end object More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.EndObjectTypes 
EndObjectOption [get, set]
 Returns or sets the object selection option More...
 
unsafe NXOpen.SelectObject EndPerpendicularFace [get]
 Returns the end perpendicular face More...
 
unsafe NXOpen.Direction EndPointDirection [get, set]
 Returns or sets the end point direction More...
 
unsafe NXOpen.Point EndReferencePoint [get, set]
 Returns or sets the start reference point More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.SurfaceDirectionTypes 
EndSurfaceDirectionOption [get, set]
 Returns or sets the end surface direction option More...
 
unsafe NXOpen.Expression EndTangentMagnitude [get]
 Returns the end tangent magnitude for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.EndPoint More...
 
unsafe NXOpen.Direction EndVectorObject [get, set]
 Returns or sets the start point direction More...
 
unsafe bool IsAssociative [get, set]
 Returns or sets whether the bridge curve is associative More...
 
unsafe int MaximumDegree [get, set]
 Returns or sets the maximum degree More...
 
unsafe int MaximumSegment [get, set]
 Returns or sets the maximum segment More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.MinRadiusTypes 
MinimumRadiusOption [get, set]
 Returns or sets the minimum radius option More...
 
unsafe NXOpen.Expression MinimumRadiusValue [get]
 Returns the minimum radius value More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.SelectedObject 
ObjectSelectionOption [get, set]
 Returns or sets the object selection option More...
 
unsafe bool ReverseEndDirection [get, set]
 Returns or sets the reverse end direction More...
 
unsafe bool ReverseStartDirection [get, set]
 Returns or sets the reverse start direction More...
 
unsafe NXOpen.Expression Rho [get]
 Returns the rho value for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.Conic More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes 
ShapeControlOption [get, set]
 Returns or sets the shape control option More...
 
unsafe NXOpen.SelectObject ShapeCurve [get]
 Returns the shape curve for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.ShapeCurve More...
 
unsafe NXOpen.Expression Skew [get]
 Returns the skew value for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.PeakPoint More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.ConstraintTypes 
StartContinuityOption [get, set]
 Returns or sets the start continuity option More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.CurveDirectionTypes 
StartCurveDirectionOption [get, set]
 Returns or sets the start curve direction option More...
 
unsafe NXOpen.Expression StartDirectionAngle [get]
 Returns the start direction angle More...
 
unsafe NXOpen.SelectObject StartObject [get]
 Returns the start object More...
 
unsafe NXOpen.SelectObject StartPerpendicularFace [get]
 Returns the start perpendicular face More...
 
unsafe NXOpen.Direction StartPointDirection [get, set]
 Returns or sets the start point direction More...
 
unsafe NXOpen.Point StartReferencePoint [get, set]
 Returns or sets the start reference point More...
 
unsafe
NXOpen.Features.BridgeCurveBuilder.SurfaceDirectionTypes 
StartSurfaceDirectionOption [get, set]
 Returns or sets the start surface direction option More...
 
unsafe NXOpen.Expression StartTangentMagnitude [get]
 Returns the start tangent magnitude for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.EndPoint More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance More...
 
unsafe NXOpen.Expression UPercentEnd [get]
 Returns the u percent end More...
 
unsafe NXOpen.Expression UPercentStart [get]
 Returns the u percent start More...
 
unsafe NXOpen.Expression VPercentEnd [get]
 Returns the v percent end More...
 
unsafe NXOpen.Expression VPercentStart [get]
 Returns the v percent start More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.BridgeCurve builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateBridgeCurveBuilder

Default values.

Property Value

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

Depth.Value

50

EndDirectionAngle.Value

0

EndTangentMagnitude.Value

1

IsAssociative

True

MinimumRadiusValue.Value

1

ReverseEndDirection

False

ReverseStartDirection

False

Rho.Value

0.5

Skew.Value

50

StartDirectionAngle.Value

0

StartTangentMagnitude.Value

1

UPercentEnd.Value

0

UPercentStart.Value

0

VPercentEnd.Value

0

VPercentStart.Value

0

Created in NX5.0.0

Deprecated in NX8.5.0. Use NXOpen.Features.BridgeCurveBuilderEx instead.

Member Enumeration Documentation

This enum represents the end continuity constraint types for the bridge curve

Enumerator
G0 

G0 continuity

G1 

G1 continuity

G2 

G2 continuity

G3 

G3 continuity

This enum represents the direction type for input curves

Enumerator
Tangent 

bridge direction takes the tangent direction of the base curve at the selected point

Perpendicular 

bridge direction takes the direction that is perpendicular to the tangent direction of the base curve at the selected point

This enum represents the curve fit types for the bridge curve

Enumerator
Cubic 

fit curve with 3 degrees

Quintic 

fit curve with 5 degrees

Advanced 

general fit curve

This enum represents the current selected end object types for the bridge curve

Enumerator
Object 

allowed end object type except a vector object

Vector 

vector object

This enum represents the minimum radius types for the bridge curve

Enumerator
None 

no minimum radius

Minimum 

regular

Peak 

peak

This enum represents the current selected object for the bridge curve

Enumerator
One 

input object 1 selected

Two 

input object 2 selected

This enum represents the shape control types for the bridge curve

Enumerator
EndPoint 

end point conditions

PeakPoint 

peak point conditions

Conic 

conic parameter

ShapeCurve 

shape curve

This enum represents the direction type for input surfaces

Enumerator
Sectional 

bridge direction takes non-isoparametric direction of the base surface at the selected point

IsoU 

bridge direction takes u-isoparametric direction of the base surface at the selected point

IsoV 

bridge direction takes v-isoparametric direction of the base surface at the selected point

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.BridgeCurveBuilder.ConstraintFaces
get

Returns the constraint faces

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveFitData NXOpen.Features.BridgeCurveBuilder.CurveFitData
get

Returns the curve fitting parameters

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.BridgeCurveBuilder.CurveFitTypes NXOpen.Features.BridgeCurveBuilder.CurveFitOption
getset

Returns or sets the curve fit option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.Depth
get

Returns the depth value for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.PeakPoint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.BridgeCurveBuilder.ConstraintTypes NXOpen.Features.BridgeCurveBuilder.EndContinuityOption
getset

Returns or sets the end continuity option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.BridgeCurveBuilder.CurveDirectionTypes NXOpen.Features.BridgeCurveBuilder.EndCurveDirectionOption
getset

Returns or sets the end curve direction option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.EndDirectionAngle
get

Returns the end direction angle

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectObject NXOpen.Features.BridgeCurveBuilder.EndObject
get

Returns the end object

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.BridgeCurveBuilder.EndObjectTypes NXOpen.Features.BridgeCurveBuilder.EndObjectOption
getset

Returns or sets the object selection option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectObject NXOpen.Features.BridgeCurveBuilder.EndPerpendicularFace
get

Returns the end perpendicular face

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.BridgeCurveBuilder.EndPointDirection
getset

Returns or sets the end point direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.BridgeCurveBuilder.EndReferencePoint
getset

Returns or sets the start reference point

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.BridgeCurveBuilder.SurfaceDirectionTypes NXOpen.Features.BridgeCurveBuilder.EndSurfaceDirectionOption
getset

Returns or sets the end surface direction option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.EndTangentMagnitude
get

Returns the end tangent magnitude for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.EndPoint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.BridgeCurveBuilder.EndVectorObject
getset

Returns or sets the start point direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeCurveBuilder.IsAssociative
getset

Returns or sets whether the bridge curve is associative

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe int NXOpen.Features.BridgeCurveBuilder.MaximumDegree
getset

Returns or sets the maximum degree

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe int NXOpen.Features.BridgeCurveBuilder.MaximumSegment
getset

Returns or sets the maximum segment

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.BridgeCurveBuilder.MinRadiusTypes NXOpen.Features.BridgeCurveBuilder.MinimumRadiusOption
getset

Returns or sets the minimum radius option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.MinimumRadiusValue
get

Returns the minimum radius value

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.BridgeCurveBuilder.SelectedObject NXOpen.Features.BridgeCurveBuilder.ObjectSelectionOption
getset

Returns or sets the object selection option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeCurveBuilder.ReverseEndDirection
getset

Returns or sets the reverse end direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.BridgeCurveBuilder.ReverseStartDirection
getset

Returns or sets the reverse start direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.Rho
get

Returns the rho value for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.Conic

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes NXOpen.Features.BridgeCurveBuilder.ShapeControlOption
getset

Returns or sets the shape control option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectObject NXOpen.Features.BridgeCurveBuilder.ShapeCurve
get

Returns the shape curve for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.ShapeCurve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.Skew
get

Returns the skew value for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.PeakPoint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.BridgeCurveBuilder.ConstraintTypes NXOpen.Features.BridgeCurveBuilder.StartContinuityOption
getset

Returns or sets the start continuity option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.BridgeCurveBuilder.CurveDirectionTypes NXOpen.Features.BridgeCurveBuilder.StartCurveDirectionOption
getset

Returns or sets the start curve direction option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.StartDirectionAngle
get

Returns the start direction angle

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectObject NXOpen.Features.BridgeCurveBuilder.StartObject
get

Returns the start object

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectObject NXOpen.Features.BridgeCurveBuilder.StartPerpendicularFace
get

Returns the start perpendicular face

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.BridgeCurveBuilder.StartPointDirection
getset

Returns or sets the start point direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.BridgeCurveBuilder.StartReferencePoint
getset

Returns or sets the start reference point

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.BridgeCurveBuilder.SurfaceDirectionTypes NXOpen.Features.BridgeCurveBuilder.StartSurfaceDirectionOption
getset

Returns or sets the start surface direction option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.StartTangentMagnitude
get

Returns the start tangent magnitude for shape control option of NXOpen.Features.BridgeCurveBuilder.ShapeControlTypes.EndPoint

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.Features.BridgeCurveBuilder.Tolerance
getset

Returns or sets the tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.UPercentEnd
get

Returns the u percent end

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.UPercentStart
get

Returns the u percent start

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.VPercentEnd
get

Returns the v percent end

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.BridgeCurveBuilder.VPercentStart
get

Returns the v percent start

Created in NX5.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.